# VirtWEB
Open Source Web interface for LibVirt. Simplify the management of VM.

## Setup for dev
Please refer to this guide: [virtweb_docs/SETUP_DEV.md](virtweb_docs/SETUP_DEV.md)

## Production requirements
Please refer to this guide: [virtweb_docs/SETUP_PROD.md](virtweb_docs/SETUP_PROD.md)

## Features
* Only Qemu / KVM is supported!
* Basic auth / OpenID auth
* Create, update & delete VM
* noVNC control of VMs
* Start, stop, suspend, resume, reset & kill VMs
* Create, update & delete networks
* Start & stop networks
* Create, update & delete network filters
* Upload ISO for easy VM installation
* API tokens for system interconnection

## Screenshot
![](https://0ph.fr/resume_assets/img/screenshots/virtweb.png)
