export function InlineCode(p: React.PropsWithChildren): React.ReactElement {
  return (
    <code
      style={{
        display: "inline-block",
        backgroundColor: "black",
        color: "white",
        wordBreak: "break-all",
        wordWrap: "break-word",
        whiteSpace: "pre-wrap",
        padding: "0px 7px",
        borderRadius: "5px",
      }}
    >
      {p.children}
    </code>
  );
}
