use std::path::Path;

/// Check the existence of a required program
pub fn check_program(name: &str, description: &str) {
    let path = Path::new(name);

    if !path.exists() {
        panic!("{name} does not exist! {description}");
    }
}
