import { APIClient } from "./ApiClient";

export class GroupApi {
  /**
   * Get the entire list of networks
   */
  static async GetList(): Promise<string[]> {
    return (
      await APIClient.exec({
        method: "GET",
        uri: "/group/list",
      })
    ).data;
  }
}
